Ubuntu Karmic et PHP sont dans un bateau…

… et ça ne se passe visiblement pas très bien. Après les problèmes avec Zend Server et Zend Studio, voilà maintenant que c’est PHP et par ricochet PEAR qui ont des problèmes avec la dernière version d’Ubuntu.

Le problème vient de la librarie zlib. Certaines de ses fonctionnalités ne sont plus disponibles dans PHP ce qui provoque l’échec silencieux du package PEAR Archive_Tar, empêchant toute installation de package PEAR.

Heureusement, il existe un contournement. Il suffit d’ajouter l’argument « -Z » afin de demander l’installation de packages non compressés :

pear install -Z phpdocumentor
Ce contenu a été publié dans PHP. Vous pouvez le mettre en favoris avec ce permalien.

4 réponses à Ubuntu Karmic et PHP sont dans un bateau…

  1. desfrenes dit :

    étonnant… je suis aussi sous karmic avec un php5.3 compilé et je n’ai pas rencontré ce problème.

  2. Romain dit :

    J’avais déjà rencontré ce genre de problèmes avec des PHP compilés (5.2.x). Il semblerait que la correction du bug n’est pas été répercutée dans les paquets Ubuntu.

  3. Timoa dit :

    J’ai eu ce problème en bossant sur un projet avec le framework Symfony qui utilise abondament PEAR et donc pas mal suivi le problème sur Lanchpad.net pour la correction du bug et tout est rentré dans l’ordre depuis mardi dernier, avec la version PHP 5.2.10-2ubuntu6.1 disponible dans les dépots "Security Update" (juste à temps pour finir mon projet !)

    Depuis, PEAR fonctionne tout à fait normalement !

  4. Jean-Marc Fontaine dit :

    Merci Timoa pour ces précisions. 🙂

Les commentaires sont fermés.